/* AllocDosObjectTags.c   V1.0   93-09-27                */
/* ROM library: "dos.library/AllocDosObjectTags", (V36+) */
/* Copyright 1993, Anders Bjerin, Amiga C Club           */

#include <dos/dos.h>
#include <utility/tagitem.h>

#include <clib/dos_protos.h>
#include <stdio.h>
#include <stdlib.h>

UBYTE *version = "$VER: AllocDosObjectTags 1.0";

int main( int argc, char *argv[] );
int main( int argc, char *argv[] )
{
  /* Pointer to our dos object (FileInfoBlock) which we will allocate: */
  struct FileInfoBlock *my_fib;


  /* Create a dos object (FileInfoBlock structure): */
  my_fib = AllocDosObjectTags( DOS_FIB, TAG_DONE );
  if( !my_fib )
  {
    printf( "Could not allocate the FileInfoBlock!\n" );
    exit( 20 );
  };

  /* Use the allocated object... */

  /* Deallocate the dos object: */
  FreeDosObject( DOS_FIB, my_fib );

  exit( 0 );
}


